### GET /{accountNum}/api/SmartLists/Importer Source: https://cloud.fastbound.com/swagger/v1-account/swagger.json API endpoint for GET /{accountNum}/api/SmartLists/Importer ```markdown ### Parameters - **accountNum** (string, path, required): The assigned account number. - **x-api-version** (string, header, optional) ### Responses #### 200 - OK **FastBound.Web.Models.Api.V1.SmartLists.GetSmartLists.Command** - **smartList** (array (string)) ### Example Usage ```bash curl -X GET "https://api.example.com/{accountNum}/api/SmartLists/Importer" ``` ``` -------------------------------- ### GET /{accountNum}/api/SmartLists/ManufacturingAcquireType Source: https://cloud.fastbound.com/swagger/v1-account/swagger.json API endpoint for GET /{accountNum}/api/SmartLists/ManufacturingAcquireType ```markdown ### Parameters - **accountNum** (string, path, required): The assigned account number. - **x-api-version** (string, header, optional) ### Responses #### 200 - OK **FastBound.Web.Models.Api.V1.SmartLists.GetSmartLists.Command** - **smartList** (array (string)) ### Example Usage ```bash curl -X GET "https://api.example.com/{accountNum}/api/SmartLists/ManufacturingAcquireType" ``` ``` -------------------------------- ### GET /{accountNum}/api/SmartLists/Condition Source: https://cloud.fastbound.com/swagger/v1-account/swagger.json API endpoint for GET /{accountNum}/api/SmartLists/Condition ```markdown ### Parameters - **accountNum** (string, path, required): The assigned account number. - **x-api-version** (string, header, optional) ### Responses #### 200 - OK **FastBound.Web.Models.Api.V1.SmartLists.GetSmartLists.Command** - **smartList** (array (string)) ### Example Usage ```bash curl -X GET "https://api.example.com/{accountNum}/api/SmartLists/Condition" ``` ``` -------------------------------- ### GET /{accountNum}/api/SmartLists/LicenseType Source: https://cloud.fastbound.com/swagger/v1-account/swagger.json API endpoint for GET /{accountNum}/api/SmartLists/LicenseType ```markdown ### Parameters - **accountNum** (string, path, required): The assigned account number. - **x-api-version** (string, header, optional) ### Responses #### 200 - OK **FastBound.Web.Models.Api.V1.SmartLists.GetSmartLists.Command** - **smartList** (array (string)) ### Example Usage ```bash curl -X GET "https://api.example.com/{accountNum}/api/SmartLists/LicenseType" ``` ``` -------------------------------- ### POST /{accountNum}/api/Contacts/{id}/Licenses Source: https://cloud.fastbound.com/swagger/v1-account/swagger.json API endpoint for POST /{accountNum}/api/Contacts/{id}/Licenses ```markdown ### Parameters - **id** (string (uuid), path, required): The ID of the contact. - **accountNum** (string, path, required): The assigned account number. - **x-api-version** (string, header, optional) - **X-AuditUser** (string, header, required): Email address of a FastBound user who has access to the specified account for audit purposes. ### Request Body **Content-Type:** application/json-patch+json - **type** (string) (required) - **number** (string) (required) - **expiration** (string (date-time)) - **copyOnFile** (boolean) **Content-Type:** application/json - **type** (string) (required) - **number** (string) (required) - **expiration** (string (date-time)) - **copyOnFile** (boolean) **Content-Type:** text/json - **type** (string) (required) - **number** (string) (required) - **expiration** (string (date-time)) - **copyOnFile** (boolean) **Content-Type:** application/*+json - **type** (string) (required) - **number** (string) (required) - **expiration** (string (date-time)) - **copyOnFile** (boolean) ### Responses #### 201 - Created Empty response body #### 400 - Bad Request **FastBound.Web.Models.Api.V1.ErrorResult** - **errors** (array (object)) Array items: - **field** (string) - **message** (string) **FastBound.Web.Models.Api.V1.ErrorResult** **FastBound.Web.Models.Api.V1.ErrorResult** ### Example Usage ```bash curl -X POST "https://api.example.com/{accountNum}/api/Contacts/{id}/Licenses" \ -H "Content-Type: application/json" \ -d '{ "type": "string", "number": "string", "expiration": "2023-01-01T00:00:00Z", "copyOnFile": "true" }' ``` ``` -------------------------------- ### GET /{accountNum}/api/Webhooks/Events Source: https://cloud.fastbound.com/swagger/v1-account/swagger.json API endpoint for GET /{accountNum}/api/Webhooks/Events ```markdown ### Parameters - **accountNum** (string, path, required): The assigned account number. - **x-api-version** (string, header, optional) ### Responses #### 200 - OK **FastBound.Web.Models.Api.V1.Webhooks.GetAllEvents.Command** - **events** (array (string)) #### 400 - Bad Request **FastBound.Web.Models.Api.V1.ErrorResult** - **errors** (array (object)) Array items: - **field** (string) - **message** (string) ### Example Usage ```bash curl -X GET "https://api.example.com/{accountNum}/api/Webhooks/Events" ``` ``` -------------------------------- ### Schema: FastBound.Web.Models.Api.V1.Webhooks.CreateWebhook.Command Source: https://cloud.fastbound.com/swagger/v1-account/swagger.json Schema definition for FastBound.Web.Models.Api.V1.Webhooks.CreateWebhook.Command ```markdown ## Schema: FastBound.Web.Models.Api.V1.Webhooks.CreateWebhook.Command Schema definition for FastBound.Web.Models.Api.V1.Webhooks.CreateWebhook.Command **Type:** object - **name** (string): Required. The Name for the webhook. Max length of 50 characters. Characters must be a-z, A-Z, 0-9, -, or _. Must be unique within the account. - **url** (string): Required. The destination URL for webhook events. Max length of 255 characters. Must be unique within the account. - **description** (string): A brief description of the purpose of the webhook. Max length of 100 characters. - **events** (array (string)): At least one event required. The list of event names to which to subscribe. Must be a valid event name. Call the Webhooks/Events endpoint to get a list of currently-supported event names. ``` -------------------------------- ### GET /{accountNum}/api/SmartLists/ManufacturingDisposeType Source: https://cloud.fastbound.com/swagger/v1-account/swagger.json API endpoint for GET /{accountNum}/api/SmartLists/ManufacturingDisposeType ```markdown ### Parameters - **accountNum** (string, path, required): The assigned account number. - **x-api-version** (string, header, optional) ### Responses #### 200 - OK **FastBound.Web.Models.Api.V1.SmartLists.GetSmartLists.Command** - **smartList** (array (string)) ### Example Usage ```bash curl -X GET "https://api.example.com/{accountNum}/api/SmartLists/ManufacturingDisposeType" ``` ``` -------------------------------- ### Schema: FastBound.Web.Models.Api.V1.Items.GetAll.Command Source: https://cloud.fastbound.com/swagger/v1-account/swagger.json Schema definition for FastBound.Web.Models.Api.V1.Items.GetAll.Command ```markdown ## Schema: FastBound.Web.Models.Api.V1.Items.GetAll.Command Schema definition for FastBound.Web.Models.Api.V1.Items.GetAll.Command **Type:** object - **items** (array (object)) Array items: - **itemNumber** (string) - **serial** (string) - **manufacturer** (string) - **countryOfManufacture** (string) - **importer** (string) - **model** (string) - **type** (string) - **caliber** (string) - **location** (string) - **locationVerifiedUtc** (string (date-time)) - **condition** (string) - **mpn** (string) - **upc** (string) - **sku** (string) - **barrelLength** (number (double)) - **overallLength** (number (double)) - **acquisitionType** (string) - **acquire_Date** (string (date-time)) - **acquisitionContactId** (string (uuid)) - **acquire_PurchaseOrderNumber** (string) - **acquire_InvoiceNumber** (string) - **acquire_ShipmentTrackingNumber** (string) - **dispositionType** (string) - **dispose_Date** (string (date-time)) - **dispositionContactId** (string (uuid)) - **dispose_PurchaseOrderNumber** (string) - **dispose_InvoiceNumber** (string) - **dispose_ShipmentTrackingNumber** (string) - **ttsn** (string) - **otsn** (string) - **deleted** (boolean): Mapped from Detail.Deleted. - **disposed** (boolean): True if Detail.Dispose_Date is NOT null; false otherwise. - **isTheftLoss** (boolean): If Disposed and DispositionType == Theft/Loss, true. Otherwise, false. - **isDestroyed** (boolean): If Disposed and DispositionType == Destroyed, true. Otherwise, false. - **doNotDispose** (boolean) - **price** (number (double)) - **cost** (number (double)) - **id** (string (uuid)) - **externalId** (string) - **status** (object) - **id** (integer (int32)) - **name** (string) - **dispositionId** (string (uuid)) - **dispositionExternalId** (string) - **createUtc** (string (date-time)) - **updateUtc** (string (date-time)) - **quickCodeUrl** (string) - **attachments** (array (object)) Array items: - **attachmentId** (string (uuid)) - **fileName** (string) - **description** (string) - **date** (string (date-time)) - **downloadUrl** (string) - **notes** (array (object)) Array items: - **date** (string (date-time)) - **type** (string) - **text** (string) - **records** (integer (int32)) ``` -------------------------------- ### GET /{accountNum}/api/SmartLists/TheftLossType Source: https://cloud.fastbound.com/swagger/v1-account/swagger.json API endpoint for GET /{accountNum}/api/SmartLists/TheftLossType ```markdown ### Parameters - **accountNum** (string, path, required): The assigned account number. - **x-api-version** (string, header, optional) ### Responses #### 200 - OK **FastBound.Web.Models.Api.V1.SmartLists.GetSmartLists.Command** - **smartList** (array (string)) ### Example Usage ```bash curl -X GET "https://api.example.com/{accountNum}/api/SmartLists/TheftLossType" ``` ``` -------------------------------- ### Schema: FastBound.Web.Models.Api.V1.Dispositions.GetAll.Command Source: https://cloud.fastbound.com/swagger/v1-account/swagger.json Schema definition for FastBound.Web.Models.Api.V1.Dispositions.GetAll.Command ```markdown ## Schema: FastBound.Web.Models.Api.V1.Dispositions.GetAll.Command Schema definition for FastBound.Web.Models.Api.V1.Dispositions.GetAll.Command **Type:** object - **dispositions** (array (object)) Array items: - **id** (string (uuid)) - **externalId** (string) - **date** (string (date-time)) - **contactId** (string (uuid)) - **contactFirstName** (string) - **contactMiddleName** (string) - **contactLastName** (string) - **contactSuffix** (string) - **contactLicenseName** (string) - **contactTradeName** (string) - **contactOrganizationName** (string) - **type** (string) - **itemCount** (integer (int32)) - **ttsn** (string) - **otsn** (string) - **purchaseOrderNumber** (string) - **invoiceNumber** (string) - **shipmentTrackingNumber** (string) - **theftLoss_DiscoveredDate** (string (date-time)) - **theftLoss_Type** (string) - **theftLoss_ATFIssuedIncidentNumber** (string) - **theftLoss_PoliceIncidentNumber** (string) - **destroyed_Date** (string (date-time)) - **destroyed_Description** (string) - **destroyed_Witness1** (string) - **destroyed_Witness2** (string) - **submissionDate** (string (date-time)) - **is4473** (boolean) - **isManufacturingDisposition** (boolean) - **status** (object) - **id** (integer (int32)) - **name** (string) - **note** (string) - **createUserEmail** (string) - **records** (integer (int32)) ``` -------------------------------- ### GET /{accountNum}/api/SmartLists/Manufacturer Source: https://cloud.fastbound.com/swagger/v1-account/swagger.json API endpoint for GET /{accountNum}/api/SmartLists/Manufacturer ```markdown ### Parameters - **accountNum** (string, path, required): The assigned account number. - **x-api-version** (string, header, optional) ### Responses #### 200 - OK **FastBound.Web.Models.Api.V1.SmartLists.GetSmartLists.Command** - **smartList** (array (string)) ### Example Usage ```bash curl -X GET "https://api.example.com/{accountNum}/api/SmartLists/Manufacturer" ``` ``` -------------------------------- ### POST /{accountNum}/api/Dispositions/CreateAndCommit Source: https://cloud.fastbound.com/swagger/v1-account/swagger.json If committing a manufacturing disposition succeeds, we return a X-FastBound-PendingAcquisitionUrl response header containing the URL of the API endpoint representing the corresponding pending acquisition created during the commit. If committing a non-manufacturing disposition succeeds and results in a new pending acquisition in the disposition contact's account, we return the following headers that point to the newly-created acquisition and account: * X-FastBound-AcquisitionAccount: The account number of the account where the pending acquisition was created. * X-FastBound-AcquisitionId: The Id (a GUID) of the newly-created pending acquisition. * X-FastBound-AcquisitionUrl: The web application UI URL of the newly-created pending acquisition. If committing a non-manufacturing disposition succeeds, we return the following multiple sale report-related, headers: * X-FastBound-MultipleSale: true if committing the disposition generated one or more multiple sale reports; false otherwise. * X-FastBound-MultipleSaleUrl: If committing the disposition generated one multiple sale report, this contains the web application UI URL of the multiple sale report. If committing the disposition generated two or more multiple sale reports, this contains the web application UI URL of the multiple sale reports index page. If no multiple sale reports were generated, this header is not returned. ```markdown ### Parameters - **listDisposedItems** (boolean, query, optional): If true, returns an array of the disposed items, as well as the disposition Id and contact Id (if any). Upon success, the response is a 200 OK. If false or not present in the query string, returns no response body. Upon success, the response is a 204 No Content. - **accountNum** (string, path, required): The assigned account number. - **x-api-version** (string, header, optional) - **X-AuditUser** (string, header, required): Email address of a FastBound user who has access to the specified account for audit purposes. ### Request Body **Content-Type:** application/json - **manufacturingChanges** (object) - **changeManufacturer** (boolean): If true, FastBound.Web.Models.Api.V1.Dispositions.CommitManufacturingChangesModel.Manufacturer is required. - **manufacturer** (string): Text to append to each item's existing Manufacturer. Must not start with a forward slash ('/'). - **changeCountryOfManufacture** (boolean): If true, FastBound.Web.Models.Api.V1.Dispositions.CommitManufacturingChangesModel.CountryOfManufacture is required. - **countryOfManufacture** (string): Text to append to each item's existing Country of Manufacture. - **changeImporter** (boolean): If true, FastBound.Web.Models.Api.V1.Dispositions.CommitManufacturingChangesModel.Importer is required. - **importer** (string): New Importer value to use on each manufactured item. - **changeModel** (boolean): If true, FastBound.Web.Models.Api.V1.Dispositions.CommitManufacturingChangesModel.Model is required. - **model** (string): New Model value to use on each manufactured item. - **changeCaliber** (boolean): If true, FastBound.Web.Models.Api.V1.Dispositions.CommitManufacturingChangesModel.Caliber is required. - **caliber** (string): New Caliber value to use on each manufactured item. - **changeType** (boolean): If true, FastBound.Web.Models.Api.V1.Dispositions.CommitManufacturingChangesModel.Type is required. - **type** (string): New Type value to use on each manufactured item. - **changeBarrelLength** (boolean): If true, FastBound.Web.Models.Api.V1.Dispositions.CommitManufacturingChangesModel.BarrelLength is required. - **barrelLength** (number (double)): New Barrel Length value to use on each manufactured item. - **changeOverallLength** (boolean): If true, FastBound.Web.Models.Api.V1.Dispositions.CommitManufacturingChangesModel.OverallLength is required. - **overallLength** (number (double)): New Overall Length value to use on each manufactured item. - **changeCondition** (boolean): If true, FastBound.Web.Models.Api.V1.Dispositions.CommitManufacturingChangesModel.Condition is required. - **condition** (string): New Condition value to use on each manufactured item. - **changeCost** (boolean): If true, FastBound.Web.Models.Api.V1.Dispositions.CommitManufacturingChangesModel.Cost is required. - **cost** (number (double)): New Cost value to use on each manufactured item. - **changePrice** (boolean): If true, FastBound.Web.Models.Api.V1.Dispositions.CommitManufacturingChangesModel.Price is required. - **price** (number (double)): New Price value to use on each manufactured item. - **changeMPN** (boolean): If true, FastBound.Web.Models.Api.V1.Dispositions.CommitManufacturingChangesModel.MPN is required. - **mpn** (string): New MPN value to use on each manufactured item. - **changeUPC** (boolean): If true, FastBound.Web.Models.Api.V1.Dispositions.CommitManufacturingChangesModel.UPC is required. - **upc** (string): New UPC value to use on each manufactured item. - **changeSKU** (boolean): If true, FastBound.Web.Models.Api.V1.Dispositions.CommitManufacturingChangesModel.SKU is required. - **sku** (string): New SKU value to use on each manufactured item. - **changeLocation** (boolean): If true, FastBound.Web.Models.Api.V1.Dispositions.CommitManufacturingChangesModel.Location is required. - **location** (string): New Location value to use on each manufactured item. - **changeItemNote** (boolean): If true, FastBound.Web.Models.Api.V1.Dispositions.CommitManufacturingChangesModel.ItemNote is required. - **itemNote** (string): New Item Note to add to each manufactured item. - **requestType** (string (Regular|Manufacturing|NFA|TheftLoss|Destroyed)) (required): The type of disposition to create: regular, Manufacturing, NFA, Theft/Loss, or Destroyed. ("Regular"|"Manufacturing"|"NFA"|"TheftLoss"|"Destroyed") - **contactId** (string (uuid)): If not null, the ID of a FastBound Contact to use as the Disposition Contact. - **contactExternalId** (string): If not null, and ContactId is null, the External ID of a FastBound Contact to use as the Disposition Contact. - **contact** (object) - **externalId** (string) - **fflNumber** (string): We're allowing more characters in case the caller sends a formatted FFL number with hyphens. - **fflExpires** (string (date-time)) - **lookupFFL** (boolean) - **licenseName** (string) - **tradeName** (string) - **sotein** (string) - **sotClass** (string (Importer|Manufacturer|Dealer)): NOTE: this is a string because the default model binder returns the field name and a blank error message if the caller sends an invalid enum value. At least this way, they'll get a better error message. ("Importer"|"Manufacturer"|"Dealer") - **businessType** (string (SoleProprietor|Partnership|Corporation)): NOTE: this is a string because the default model binder returns the field name and a blank error message if the caller sends an invalid enum value. At least this way, they'll get a better error message. ("SoleProprietor"|"Partnership"|"Corporation") - **organizationName** (string) - **firstName** (string) - **middleName** (string) - **lastName** (string) - **suffix** (string) - **premiseAddress1** (string) - **premiseAddress2** (string) - **premiseCity** (string) - **premiseCounty** (string) - **premiseState** (string) - **premiseZipCode** (string) - **premiseCountry** (string) - **phoneNumber** (string) - **fax** (string) - **emailAddress** (string) - **items** (array (object)): The items to dispose. Array items: - **id** (string (uuid)): Required. The Id of an item to dispose. - **price** (number (double)): Optional. The price of the item to dispose. - **externalId** (string): If not null, the external identifier to store on the pending Disposition. NOTE: ignored by CreateAndCommit requests. - **date** (string (date-time)) (required): Required. Date of disposal. - **type** (string): The disposition type. Required for Regular, Manufacturing, and NFA dispositions. - **note** (string) - **ttsn** (string) - **generateTTSN** (boolean) - **otsn** (string) - **purchaseOrderNumber** (string) - **invoiceNumber** (string) - **shipmentTrackingNumber** (string) - **submissionDate** (string (date-time)) - **theftLoss_DiscoveredDate** (string (date-time)) - **theftLoss_Type** (string) - **theftLoss_ATFIssuedIncidentNumber** (string) - **theftLoss_PoliceIncidentNumber** (string) - **destroyed_Date** (string (date-time)) - **destroyed_Description** (string) - **destroyed_Witness1** (string) - **destroyed_Witness2** (string) - **otherTransfereeEmails** (array (string)): Optional. Other transferee emails to use, in addition to the disposition contact, to try to find a FastBound account in which to create a transfer acquisition. ### Responses #### 200 - Successfully committed the disposition, and the user passed true for listDisposedItems. **FastBound.Web.Models.Api.V1.Dispositions.CreateAndCommitDisposition.CommandResult.CommittedDispositionModel** - **dispositionId** (string (uuid)) - **contactId** (string (uuid)) - **contactExternalId** (string) - **items** (array (object)) Array items: - **id** (string (uuid)) - **externalId** (string) - **itemNumber** (string) - **manufacturer** (string) - **importer** (string) - **type** (string) - **model** (string) - **caliber** (string) - **serial** (string) - **mpn** (string) - **upc** (string) - **sku** (string) #### 204 - Successfully committed the disposition, and the user passed false or omitted listDisposedItems. Empty response body #### 400 - The request failed validation. **FastBound.Web.Models.Api.V1.ErrorResult** - **errors** (array (object)) Array items: - **field** (string) - **message** (string) ### Example Usage ```bash curl -X POST "https://api.example.com/{accountNum}/api/Dispositions/CreateAndCommit?listDisposedItems=true" \ -H "Content-Type: application/json" \ -d '{ "manufacturingChanges": { "changeManufacturer": "true", "manufacturer": "string", "changeCountryOfManufacture": "true", "countryOfManufacture": "string", "changeImporter": "true", "importer": "string", "changeModel": "true", "model": "string", "changeCaliber": "true", "caliber": "string", "changeType": "true", "type": "string", "changeBarrelLength": "true", "barrelLength": "0", "changeOverallLength": "true", "overallLength": "0", "changeCondition": "true", "condition": "string", "changeCost": "true", "cost": "0", "changePrice": "true", "price": "0", "changeMPN": "true", "mpn": "string", "changeUPC": "true", "upc": "string", "changeSKU": "true", "sku": "string", "changeLocation": "true", "location": "string", "changeItemNote": "true", "itemNote": "string" }, "requestType": "Regular", "contactId": "string", "contactExternalId": "string", "contact": { "externalId": "string", "fflNumber": "string", "fflExpires": "2023-01-01T00:00:00Z", "lookupFFL": "true", "licenseName": "string", "tradeName": "string", "sotein": "string", "sotClass": "Importer", "businessType": "SoleProprietor", "organizationName": "string", "firstName": "string", "middleName": "string", "lastName": "string", "suffix": "string", "premiseAddress1": "string", "premiseAddress2": "string", "premiseCity": "string", "premiseCounty": "string", "premiseState": "string", "premiseZipCode": "string", "premiseCountry": "string", "phoneNumber": "string", "fax": "string", "emailAddress": "string" }, "items": [ { "id": "string", "price": "0" } ], "externalId": "string", "date": "2023-01-01T00:00:00Z", "type": "string", "note": "string", "ttsn": "string", "generateTTSN": "true", "otsn": "string", "purchaseOrderNumber": "string", "invoiceNumber": "string", "shipmentTrackingNumber": "string", "submissionDate": "2023-01-01T00:00:00Z", "theftLoss_DiscoveredDate": "2023-01-01T00:00:00Z", "theftLoss_Type": "string", "theftLoss_ATFIssuedIncidentNumber": "string", "theftLoss_PoliceIncidentNumber": "string", "destroyed_Date": "2023-01-01T00:00:00Z", "destroyed_Description": "string", "destroyed_Witness1": "string", "destroyed_Witness2": "string", "otherTransfereeEmails": [ "string" ] }' ``` ``` -------------------------------- ### GET /{accountNum}/api/SmartLists/Location Source: https://cloud.fastbound.com/swagger/v1-account/swagger.json API endpoint for GET /{accountNum}/api/SmartLists/Location ```markdown ### Parameters - **accountNum** (string, path, required): The assigned account number. - **x-api-version** (string, header, optional) ### Responses #### 200 - OK **FastBound.Web.Models.Api.V1.SmartLists.GetSmartLists.Command** - **smartList** (array (string)) ### Example Usage ```bash curl -X GET "https://api.example.com/{accountNum}/api/SmartLists/Location" ``` ``` -------------------------------- ### Schema: FastBound.Web.Models.Api.V1.Acquisitions.CreateAcquisition.Command Source: https://cloud.fastbound.com/swagger/v1-account/swagger.json Schema definition for FastBound.Web.Models.Api.V1.Acquisitions.CreateAcquisition.Command ```markdown ## Schema: FastBound.Web.Models.Api.V1.Acquisitions.CreateAcquisition.Command Schema definition for FastBound.Web.Models.Api.V1.Acquisitions.CreateAcquisition.Command **Type:** object - **externalId** (string) - **isManufacturingAcquisition** (boolean) - **date** (string (date-time)) - **type** (string) (required) - **note** (string) - **purchaseOrderNumber** (string) - **invoiceNumber** (string) - **shipmentTrackingNumber** (string) ``` -------------------------------- ### Schema: FastBound.Web.Models.Api.V1.Acquisitions.GetAll.Command Source: https://cloud.fastbound.com/swagger/v1-account/swagger.json Schema definition for FastBound.Web.Models.Api.V1.Acquisitions.GetAll.Command ```markdown ## Schema: FastBound.Web.Models.Api.V1.Acquisitions.GetAll.Command Schema definition for FastBound.Web.Models.Api.V1.Acquisitions.GetAll.Command **Type:** object - **acquisitions** (array (object)) Array items: - **id** (string (uuid)) - **externalId** (string) - **date** (string (date-time)) - **purchaseOrderNumber** (string) - **invoiceNumber** (string) - **shipmentTrackingNumber** (string) - **isManufacturingAcquisition** (boolean) - **contactFirstName** (string) - **contactLastName** (string) - **contactSuffix** (string) - **contactLicenseName** (string) - **contactTradeName** (string) - **contactOrganizationName** (string) - **type** (string) - **itemCount** (integer (int32)) - **createUserEmail** (string) - **records** (integer (int32)) ``` -------------------------------- ### GET /{accountNum}/api/SmartLists/ItemType Source: https://cloud.fastbound.com/swagger/v1-account/swagger.json API endpoint for GET /{accountNum}/api/SmartLists/ItemType ```markdown ### Parameters - **accountNum** (string, path, required): The assigned account number. - **x-api-version** (string, header, optional) ### Responses #### 200 - OK **FastBound.Web.Models.Api.V1.SmartLists.GetSmartLists.Command** - **smartList** (array (string)) ### Example Usage ```bash curl -X GET "https://api.example.com/{accountNum}/api/SmartLists/ItemType" ``` ``` -------------------------------- ### POST /{accountNum}/api/Downloads/BoundBook Source: https://cloud.fastbound.com/swagger/v1-account/swagger.json Returns a 200 OK if the current ATF Bound Book is located. Returns a 204 No Content if the account exists, but has not yet generated an ATF Bound Book PDF. Returns a 404 Not Found if the account does not exist. NOTE: this endpoint requires the caller to send an X-AuditUser header. ```markdown ### Parameters - **accountNum** (string, path, required): The assigned account number. - **x-api-version** (string, header, optional) - **X-AuditUser** (string, header, required): Email address of a FastBound user who has access to the specified account for audit purposes. ### Responses #### 200 - OK **FastBound.Web.Models.Api.V1.Downloads.BoundBook.DownloadDetailsModel** - **url** (string) - **fileSizeInBytes** (integer (int64)) - **urlExpiresOnSeconds** (integer (int64)) **FastBound.Web.Models.Api.V1.Downloads.BoundBook.DownloadDetailsModel** **FastBound.Web.Models.Api.V1.Downloads.BoundBook.DownloadDetailsModel** #### 204 - No Content Empty response body #### 404 - Not Found Not Found ### Example Usage ```bash curl -X POST "https://api.example.com/{accountNum}/api/Downloads/BoundBook" ``` ``` -------------------------------- ### POST /{accountNum}/api/Dispositions/CreateAsPending Source: https://cloud.fastbound.com/swagger/v1-account/swagger.json API endpoint for POST /{accountNum}/api/Dispositions/CreateAsPending ```markdown ### Parameters - **accountNum** (string, path, required): The assigned account number. - **x-api-version** (string, header, optional) - **X-AuditUser** (string, header, required): Email address of a FastBound user who has access to the specified account for audit purposes. ### Request Body **Content-Type:** application/json - **requestType** (string) (required): The type of disposition to create: regular, Manufacturing, NFA, Theft/Loss, or Destroyed. - **contactId** (string (uuid)): If not null, the ID of a FastBound Contact to use as the Disposition Contact. - **contactExternalId** (string): If not null, and ContactId is null, the External ID of a FastBound Contact to use as the Disposition Contact. - **contact** (object) - **externalId** (string) - **fflNumber** (string): We're allowing more characters in case the caller sends a formatted FFL number with hyphens. - **fflExpires** (string (date-time)) - **lookupFFL** (boolean) - **licenseName** (string) - **tradeName** (string) - **sotein** (string) - **sotClass** (string (Importer|Manufacturer|Dealer)): NOTE: this is a string because the default model binder returns the field name and a blank error message if the caller sends an invalid enum value. At least this way, they'll get a better error message. ("Importer"|"Manufacturer"|"Dealer") - **businessType** (string (SoleProprietor|Partnership|Corporation)): NOTE: this is a string because the default model binder returns the field name and a blank error message if the caller sends an invalid enum value. At least this way, they'll get a better error message. ("SoleProprietor"|"Partnership"|"Corporation") - **organizationName** (string) - **firstName** (string) - **middleName** (string) - **lastName** (string) - **suffix** (string) - **premiseAddress1** (string) - **premiseAddress2** (string) - **premiseCity** (string) - **premiseCounty** (string) - **premiseState** (string) - **premiseZipCode** (string) - **premiseCountry** (string) - **phoneNumber** (string) - **fax** (string) - **emailAddress** (string) - **items** (array (object)): The items to dispose. Array items: - **id** (string (uuid)): Required. The Id of an item to dispose. - **price** (number (double)): Optional. The price of the item to dispose. - **externalId** (string): If not null, the external identifier to store on the pending Disposition. NOTE: ignored by CreateAndCommit requests. - **date** (string (date-time)) (required): Required. Date of disposal. - **type** (string): The disposition type. Required for Regular, Manufacturing, and NFA dispositions. - **note** (string) - **ttsn** (string) - **generateTTSN** (boolean) - **otsn** (string) - **purchaseOrderNumber** (string) - **invoiceNumber** (string) - **shipmentTrackingNumber** (string) - **submissionDate** (string (date-time)) - **theftLoss_DiscoveredDate** (string (date-time)) - **theftLoss_Type** (string) - **theftLoss_ATFIssuedIncidentNumber** (string) - **theftLoss_PoliceIncidentNumber** (string) - **destroyed_Date** (string (date-time)) - **destroyed_Description** (string) - **destroyed_Witness1** (string) - **destroyed_Witness2** (string) - **otherTransfereeEmails** (array (string)): Optional. Other transferee emails to use, in addition to the disposition contact, to try to find a FastBound account in which to create a transfer acquisition. ### Responses #### 200 - Successfully created the pending disposition. **FastBound.Web.Models.Api.V1.Dispositions.GetDispositionResponseModel** - **id** (string (uuid)) - **externalId** (string) - **date** (string (date-time)) - **submissionDate** (string (date-time)) - **type** (string) - **purchaseOrderNumber** (string) - **invoiceNumber** (string) - **shipmentTrackingNumber** (string) - **note** (string) - **ttsn** (string) - **otsn** (string) - **createUserEmail** (string) - **theftLoss_DiscoveredDate** (string (date-time)) - **theftLoss_Type** (string) - **theftLoss_ATFIssuedIncidentNumber** (string) - **theftLoss_PoliceIncidentNumber** (string) - **destroyed_Date** (string (date-time)) - **destroyed_Description** (string) - **destroyed_Witness1** (string) - **destroyed_Witness2** (string) - **is4473** (boolean) - **isManufacturingDisposition** (boolean) - **status** (object) - **id** (integer (int32)) - **name** (string) - **disposedToContact** (object) - **id** (string (uuid)): Id of the Contact - **externalId** (string) - **fflNumber** (string) - **fflExpires** (string (date-time)) - **licenseName** (string) - **tradeName** (string) - **organizationName** (string) - **firstName** (string) - **middleName** (string) - **lastName** (string) - **suffix** (string) - **premiseAddress1** (string) - **premiseAddress2** (string) - **premiseCity** (string) - **premiseCounty** (string) - **premiseState** (string) - **premiseZipCode** (string) - **premiseCountry** (string) - **phoneNumber** (string) - **fax** (string) - **emailAddress** (string) - **items** (array (object)) Array items: - **id** (string (uuid)): ItemID of the DispositionItem - **externalId** (string) - **itemNumber** (string) - **serial** (string) - **manufacturer** (string) - **importer** (string) - **model** (string) - **type** (string) - **caliber** (string) - **price** (number (double)) #### 400 - The request failed validation. **FastBound.Web.Models.Api.V1.ErrorResult** - **errors** (array (object)) Array items: - **field** (string) - **message** (string) ### Example Usage ```bash curl -X POST "https://api.example.com/{accountNum}/api/Dispositions/CreateAsPending" \ -H "Content-Type: application/json" \ -d '{ "requestType": "string", "contactId": "string", "contactExternalId": "string", "contact": { "externalId": "string", "fflNumber": "string", "fflExpires": "2023-01-01T00:00:00Z", "lookupFFL": "true", "licenseName": "string", "tradeName": "string", "sotein": "string", "sotClass": "Importer", "businessType": "SoleProprietor", "organizationName": "string", "firstName": "string", "middleName": "string", "lastName": "string", "suffix": "string", "premiseAddress1": "string", "premiseAddress2": "string", "premiseCity": "string", "premiseCounty": "string", "premiseState": "string", "premiseZipCode": "string", "premiseCountry": "string", "phoneNumber": "string", "fax": "string", "emailAddress": "string" }, "items": [ { "id": "string", "price": "0" } ], "externalId": "string", "date": "2023-01-01T00:00:00Z", "type": "string", "note": "string", "ttsn": "string", "generateTTSN": "true", "otsn": "string", "purchaseOrderNumber": "string", "invoiceNumber": "string", "shipmentTrackingNumber": "string", "submissionDate": "2023-01-01T00:00:00Z", "theftLoss_DiscoveredDate": "2023-01-01T00:00:00Z", "theftLoss_Type": "string", "theftLoss_ATFIssuedIncidentNumber": "string", "theftLoss_PoliceIncidentNumber": "string", "destroyed_Date": "2023-01-01T00:00:00Z", "destroyed_Description": "string", "destroyed_Witness1": "string", "destroyed_Witness2": "string", "otherTransfereeEmails": [ "string" ] }' ``` ``` -------------------------------- ### GET /{accountNum}/api/SmartLists/DisposeType Source: https://cloud.fastbound.com/swagger/v1-account/swagger.json API endpoint for GET /{accountNum}/api/SmartLists/DisposeType ```markdown ### Parameters - **accountNum** (string, path, required): The assigned account number. - **x-api-version** (string, header, optional) ### Responses #### 200 - OK **FastBound.Web.Models.Api.V1.SmartLists.GetSmartLists.Command** - **smartList** (array (string)) ### Example Usage ```bash curl -X GET "https://api.example.com/{accountNum}/api/SmartLists/DisposeType" ``` ```